### Method

# FwupdPlugin Firmware get_size

since: 1.6.0

#### Declaration [src]

    gsize
    fu_firmware_get_size (
      FuFirmware* self
    )

#### Description [src]

Gets the total size of the image, which is typically the same size as the data from fu_firmware_write().

If the size has not been explicitly set, and `fu_firmware_set_bytes()` has been used then the size of this is used instead.

Available since: 1.6.0

#### Return value

Type: `gsize`

Integer.